ClassAndVariableDetails (Apache Geode 1.7.0)
Date: 2018-09-27

org.apache.geode.codeAnalysis

## Class ClassAndVariableDetails

- java.lang.Object
- - org.apache.geode.codeAnalysis.ClassAndVariableDetails

- All Implemented Interfaces:
    java.lang.Comparable

      public class ClassAndVariableDetails
      extends java.lang.Object
      implements java.lang.Comparable

  A class used to store the names of dataserializable classes and the sizes of their toData/fromData methods.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `className`
    `boolean` | `hasSerialVersionUID`
    `java.lang.String` | `serialVersionUID`
    `java.util.Map<java.lang.String,java.lang.String>` | `variables`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassAndVariableDetails(CompiledClass dclass)`
    `ClassAndVariableDetails(java.lang.String storedValues)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(java.lang.Object other)`
    `static java.lang.String` | `convertForStoring(ClassAndVariables cam)` convert a ClassAndMethods into a string that can then be used to instantiate a ClassAndVariableDetails
    `java.lang.String` | `toString()`
    `java.lang.String` | `valuesAsString()` returns a string that can be parsed by ClassAndVariableDetails(String)

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### className

          public java.lang.String className

    - #### hasSerialVersionUID

          public boolean hasSerialVersionUID

    - #### serialVersionUID

          public java.lang.String serialVersionUID

    - #### variables

          public java.util.Map<java.lang.String,java.lang.String> variables

  - ### Constructor Detail

    - #### ClassAndVariableDetails

          public ClassAndVariableDetails(CompiledClass dclass)

    - #### ClassAndVariableDetails

          public ClassAndVariableDetails(java.lang.String storedValues)
                                  throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### valuesAsString

          public java.lang.String valuesAsString()

      returns a string that can be parsed by ClassAndVariableDetails(String)

    - #### convertForStoring

          public static java.lang.String convertForStoring(ClassAndVariables cam)

      convert a ClassAndMethods into a string that can then be used to instantiate a ClassAndVariableDetails

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(java.lang.Object other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable`